IT Link Solutions Blog | Could not load file or assembly Microsoft.Data.EDM Version=5.2.0.0

Could not load file or assembly Microsoft.Data.EDM Version=5.2.0.0

by Administrator 31. March 2016 08:20


I receive following errors whenever I use LightSwitch application on my system which was previously created by someone else:

Could not load file or assembly Microsoft.Data.EDM Version=5.2.0.0
Could not load file or assembly Microsoft.Data.OData Version=5.2.0.0
And any other library like abc.xyz version=1.1.0.0 etc.


What do I really need to do to make it run flawlessly?

First of all please verify the version of the actual referenced dll file with the version mentioned in web.config file.

 

For example in our case we have a reference of Microsoft.Data.EDM Version=5.2.0.0

And we have following code in our web.config.

<dependentAssembly>

        <assemblyIdentity name="Microsoft.Data.Edm" publicKeyToken="31bf3856ad364e35" culture="neutral" />

        <bindingRedirect oldVersion="0.0.0.0-5.6.0.0" newVersion="5.6.0.0" />

 </dependentAssembly>

 

Try to replace <bindingRedirect oldVersion="0.0.0.0-5.6.0.0" newVersion="5.6.0.0" /> with

<bindingRedirect oldVersion="0.0.0.0-5.2.0.0" newVersion="5.2.0.0" />.


By the end of the day this will probably fix the issue.

 

 

Add comment

  Country flag

biuquote
  • Comment
  • Preview
Loading

Review Us!

Connect with Us

Tag cloud